# class NamedNodeMap

#### package js.html

Available on HTML5

The `NamedNodeMap` interface represents a collection of `Attr` objects. Objects inside a `NamedNodeMap` are not in any particular order, unlike `NodeList`, although they may be accessed by an index as in an array.

Documentation NamedNodeMap by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/NamedNodeMap

### Variables

###

`read onlylength:Int`

Returns the amount of objects in the map.

### Methods

###

`getNamedItem (name:String):Attr`

Returns a `Attr`, corresponding to the given name.

###

`getNamedItemNS (namespaceURI:String, localName:String):Attr`

Returns a `Attr` identified by a namespace and related local name.

###

`item (index:Int):Attr`

Returns the `Attr` at the given index, or `null` if the index is higher or equal to the number of nodes.

###

`removeNamedItem (name:String):Attr`

Throws:

`null` | DOMError

###

`removeNamedItemNS (namespaceURI:String, localName:String):Attr`

Throws:

`null` | DOMError

###

`setNamedItem (arg:Attr):Attr`

Throws:

`null` | DOMError

###

`setNamedItemNS (arg:Attr):Attr`

Throws:

`null` | DOMError